CK_HT_STAT(3)

NAME
ck_ht_stat - get hash table status

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_ht.h>
void
ck_ht_stat(ck_ht_t *ht, struct ck_ht_stat *st);

DESCRIPTION
The ck_ht_stat(3) function will store various hash set statistics in the object pointed to by st. The ck_ht_stat structure is defined as follows:

    struct ck_ht_stat {
    	uint64_t probe_maximum; /* Longest read-side probe sequence. */
    	uint64_t n_entries;     /* Current number of keys in hash set. */
    };

RETURN VALUES
ck_ht_stat(3) has no return value.

ERRORS
Behavior is undefined if ht has not been initialized.

SEE ALSO
ck_ht_count(3), ck_ht_init(3), ck_ht_destroy(3), ck_ht_hash(3), ck_ht_hash_direct(3), ck_ht_set_spmc(3), ck_ht_put_spmc(3), ck_ht_gc(3), ck_ht_get_spmc(3), ck_ht_grow_spmc(3), ck_ht_remove_spmc(3), ck_ht_reset_spmc(3), ck_ht_reset_size_spmc(3), ck_ht_entry_empty(3), ck_ht_entry_key_set(3), ck_ht_entry_key_set_direct(3), ck_ht_entry_key(3), ck_ht_entry_key_length(3), ck_ht_entry_value(3), ck_ht_entry_set(3), ck_ht_entry_set_direct(3), ck_ht_entry_key_direct(3), ck_ht_entry_value_direct(3), ck_ht_iterator_init(3), ck_ht_next(3)

Additional information available at http://concurrencykit.org/